package com.fjhx.sale.controller.contract;

import org.springframework.web.bind.annotation.*;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.sale.entity.contract.vo.ContractBudgetVo;
import com.fjhx.sale.entity.contract.dto.ContractBudgetSelectDto;
import com.fjhx.sale.entity.contract.dto.ContractBudgetDto;
import com.ruoyi.common.core.domain.BaseSelectDto;
import com.fjhx.sale.service.contract.ContractBudgetService;
import org.springframework.beans.factory.annotation.Autowired;


/**
 * <p>
 * 外销合同--预算 前端控制器
 * </p>
 *
 * @author 
 * @since 2023-05-17
 */
@RestController
@RequestMapping("/contractBudget")
public class ContractBudgetController {

    @Autowired
    private ContractBudgetService contractBudgetService;

    /**
     * 外销合同--预算分页
     */
    @PostMapping("/page")
    public Page<ContractBudgetVo> page(@RequestBody ContractBudgetSelectDto dto) {
        return contractBudgetService.getPage(dto);
    }

    /**
     * 外销合同--预算明细
     */
    @PostMapping("/detail")
    public ContractBudgetVo detail(@RequestBody BaseSelectDto dto) {
        return contractBudgetService.detail(dto.getId());
    }

    /**
     * 外销合同--预算新增
     */
    @PostMapping("/add")
    public void add(@RequestBody ContractBudgetDto contractBudgetDto) {
        contractBudgetService.add(contractBudgetDto);
    }

    /**
     * 外销合同--预算编辑
     */
    @PostMapping("/edit")
    public void edit(@RequestBody ContractBudgetDto contractBudgetDto) {
        contractBudgetService.edit(contractBudgetDto);
    }

    /**
     * 外销合同--预算删除
     */
    @PostMapping("/delete")
    public void delete(@RequestBody BaseSelectDto dto) {
        contractBudgetService.delete(dto.getId());
    }

    /**
     * 外销合同--预算删除
     */
    @PostMapping("/budget")
    public void budget(@RequestBody ContractBudgetDto contractBudgetDto) {
        contractBudgetService.budget(contractBudgetDto);
    }

}
